//+------------------------------------------------------------------+
//|                                                   DealsSpeed.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"


extern int stops = 250;

double lots= 0.0;
bool   buy=true;

int init()
  {
   lots = MarketInfo(Symbol(), MODE_MINLOT );
  }

int start()
  {
   static datetime lastTime=0;
//----
   if(lastTime==Time[0]) return(0);
//----
   if(OrdersTotal()>0)
     {  // since this is a speed test program for the strategy tester, only this EA creates trades 
      if(OrderSelect(0,SELECT_BY_POS))
        {
         if(!OrderClose(OrderTicket(), OrderLots(), OrderClosePrice(), 10 ))
            Print("Failed to close ticket " + OrderTicket() + " : Error=" + GetLastError() );
        }
      return( 0 );      // on the next tick, if there are no open orders, we open a new trade 
     }
//----
   if( buy )
     {
      double LONGtakeProfit = NormalizeDouble( Ask + stops*Point, Digits ); 
      double LONGstopLoss  =  NormalizeDouble( Ask - stops*Point, Digits ); 
      OrderSend( Symbol(), OP_BUY, lots, Ask, 10, LONGstopLoss, LONGtakeProfit );
     }
   else
     {
      double SHORTtakeProfit = NormalizeDouble( Bid - stops*Point, Digits );
      double SHORTstopLoss  =  NormalizeDouble( Bid + stops*Point, Digits );
      OrderSend( Symbol(), OP_SELL, lots, Bid, 10, SHORTstopLoss, SHORTtakeProfit );
     }
//----
   if( OrdersTotal()>0 )
     {   // the order placement was successful so we can do nothing for the  rest of this bar
      buy = !buy; // so next bar we trade in the opposite direction 
      lastTime= Time[0];
     }
//----
   return(0);
  }